MPLAB error: Error [1027] unable to locate 'serial_ports.h'

hi, i downloaded the new MPLAB v8.33 and i am trying to get the program to locate all necessary documents. any ideas are welcome.

Which controller are you attempting to get working ?

  1. VEX
  2. FRC IFI Robot Controller (year specific helps) ?

What code template are you working with ?

  1. Kevin Watson’s code - http://www.kevin.org/frc/
  2. VEX code base
  3. WPI Library

the controller is the FRC IFI PIC18F8722.

Kevin Watson’s Code: frc_camera_s_2.zip

Wii FRC bits: http://www.chiefdelphi.com/media/papers/2078
(this is to get the IFI bot controller to run off of a wiimote and nunchuk)

anything else i can provide you with?

That basically means that something is doing a #include “serial_ports.h” (probably in the camera code), but the compiler can’t find that file. If you see that file in your filesystem, the way to fix it is to add it to your include path (directory). There’s a setting somewhere in the project settings (something like Project -> Build Options… -> Project).

Do a Windows find for serial_ports.h if you’re not sure if you don’t have the file or need the path.

If you don’t have the file (I’m not sure if that comes with the camera code or not), try grabbing Kevin’s serial port code (frc_serial_ports.zip)
http://kevin.org/frc/

sorry, but that gave me more errors than before. any other ideas?

You’ll need to be more specific. The errors are telling you exactly what’s wrong, you just need to understand what they’re telling you. Usually the first error will clean up a lot of the following errors (i.e. if you’re missing a header file, any reference to variables in that header will throw errors).

My suggestion is to copy/paste the entire output here and put it in a code block so it’s readable. At that point, someone can take a look and provide suggestions

okay, now that first error is not appearing anymore, i now have this error

C:\MPLAB\frc_camera_s_2\user_routines.c:17:Error [1027] unable to locate ‘_sticks.h’

here’s tho whole output message:


Debug build of project C:\MPLAB\Wii FRC air cannon.mcp' started. Language tool versions: MPASMWIN.exe v5.33, mplink.exe v4.33, mcc18.exe v3.33 Preprocessor symbol__DEBUG’ is defined.
Sun Aug 30 19:01:10 2009

Make: The target “C:\MPLAB\user_routines_fast.o” is up to date.
Make: The target “C:\MPLAB\camera.o” is up to date.
Make: The target “C:\MPLAB\ifi_startup.o” is up to date.
Make: The target “C:\MPLAB\ifi_utilities.o” is up to date.
Make: The target “C:\MPLAB\main.o” is up to date.
Make: The target “C:\MPLAB\serial_ports.o” is up to date.
Make: The target “C:\MPLAB erminal.o” is up to date.
Make: The target “C:\MPLAB racking.o” is up to date.
Make: The target “C:\MPLAB\user_routines.o” is out of date.
Executing: “C:\MCC18\bin\mcc18.exe” -p=18F8722 “frc_camera_s_2\user_routines.c” -fo=“user_routines.o” -D__DEBUG -Ou- -Ot- -Ob- -Op- -Or- -Od- -Opa-
C:\MPLAB\frc_camera_s_2\user_routines.c:17:Error [1027] unable to locate ‘_sticks.h’
Halting build on first failure as requested.

Debug build of project C:\MPLAB\Wii FRC air cannon.mcp' failed. Language tool versions: MPASMWIN.exe v5.33, mplink.exe v4.33, mcc18.exe v3.33 Preprocessor symbol__DEBUG’ is defined.
Sun Aug 30 19:01:14 2009

BUILD FAILED

hope this helps us figure this out.

You are using a very new version of the C18 compiler, and a very old version of Kevin’s camera code that wasn’t designed to work with newer versions of the C18 compiler.

Kevin’s code that supports C18 version 3.0 or higher does not have built in support the camera. If you really need camera support, I recommend starting with ifi_frc_sensor.zip and then start porting the camera code over. It may be a large task. If you just need the serial port support, it’s built in to ifi_frc_sensor.zip, but you may still have to do some porting of the wii code, since I’m not sure how much the API changed over time.

In either case, you should be prepared to spend some time digging into the internals of how the code works. It may not be a quick change like it seems that you are expecting.

Alternately, if you could go back to using the version 2.4 of C18, and it might be easier.

thanks, do you know where i can get the 2.4 version of C18 compiler? and, this did not help me with the “unable to locate ‘sticks.h’” problem.

The older version was distributed with the KOP over the past 4 years (2005-2008)
The 2.2 version was in the KOP in 2004.
It came on both the MPLAB CDs and the EasyC CDs.

I found a student version online:
https://jvex-robotics.dev.java.net/servlets/ProjectDocumentList?folderID=4773&expandFolder=4773&folderID=4775
You might want the whole tool chain (the Vex controller is compatible with the FRC IFI controllers as far as tools go):
https://jvex-robotics.dev.java.net/ToolChainSetup.html

sorry, but that did not help either. thanks though. :slight_smile: